Users
Get all Users for a Device
/hardware/v1/devices/{deviceId}/users
Get all users for a device.
Requires a bearer access token for this API with the Organization.Device.User.Read permission. See Authentication.
Parameters
Path parameter
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/devices/{deviceId}/users" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Device User
/hardware/v1/devices/{deviceId}/users/{userId}
Get a device user by device id and user id.
Requires a bearer access token for this API with the Organization.Device.User.Read permission. See Authentication.
Parameters
Path parameter
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/devices/{deviceId}/users/{userId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Create Device User
/hardware/v1/devices/{deviceId}/users/{userId}
Create a device user by device id and user id.
Requires a bearer access token for this API with the Organization.Device.User.Write permission. See Authentication.
Parameters
Path parameter
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/hardware/v1/devices/{deviceId}/users/{userId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Delete Device User
/hardware/v1/devices/{deviceId}/users/{userId}
Delete a device user by device id and user id.
Requires a bearer access token for this API with the Organization.Device.User.Delete permission. See Authentication.
Parameters
Path parameter
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/devices/{deviceId}/users/{userId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"